function [outputArg] = plot_custom(panel, pltData, tr)
    % create tiledlayout (R2023a and newer)
    
    tl = tiledlayout(panel,"flow");

    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Title")
    ylabel(ax1, "y-axis label")
    xlabel(ax1, "x-axis label")
    %"XXX = enter name of data you want to plot"
    plot(ax1,pltData.xAxis(tr,:),pltData.XXX(tr,:)) 
    
    % more plots for customizing

    % plot 2: 
    % ax2 = nexttile(tl);
    % hold(ax2, "on")
    % grid(ax2, "on")
    % title(ax2, "Power [kW]")
    % plot(ax2,pltData.xAxis(tr,:),pltData. XXXX (tr,:))

    % plot 3:
    % ax3 = nexttile(tl);
    % hold(ax3, "on")
    % grid(ax3, "on")
    % title(ax3, "Max Cell Temp [°C]")
    % plot(ax3,pltData.xAxis(tr,:),pltData. XXXX (tr,:))

    % plot 4:
    % ax4 = nexttile(tl);
    % hold(ax4, "on")
    % grid(ax4, "on")
    % title(ax4, "SOC")
    % plot(ax4,pltData.xAxis(tr,:),pltData. XXXX (tr,:))


    % link all x axes
    linkaxes([ax1, ax2, ax3, ax4],"x")
    % return null (not relevant for plots!)
    outputArg = [];
end

